Bug 1420106 - job list whiteboard doesn't render markdown
Summary: job list whiteboard doesn't render markdown
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.2
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 20:33 UTC by Bill Peck
Modified: 2017-03-30 03:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-30 03:23:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Peck 2017-02-07 20:33:04 UTC
Description of problem:

The job list page doesn't render markdown in the job whiteboard.  Could we render the markdown or at least render the "text" version?  We are putting links to our jenkins jobs there and it would be handy.  Rendering to text would at least shorten our long URL's

Version-Release number of selected component (if applicable):
23.3

How reproducible:
Everytime

Comment 2 Bill Peck 2017-02-10 23:08:05 UTC
https://gerrit.beaker-project.org/#/c/5605/1

Comment 3 Roman Joost 2017-03-06 23:56:54 UTC
We'll have to do QE on the items before we can tag a release.

Comment 4 Roman Joost 2017-03-14 05:34:16 UTC
Changed a jobs whiteboard and played with markdown content:

* paragraph
* paragraph and a bullet list
* paragraph with an external link

All rendered without problems.

Comment 5 Roman Joost 2017-03-14 05:34:59 UTC
Verified on my own Beaker installation, running 24.2.git.9.d4c983d

Comment 6 Dan Callaghan 2017-03-30 03:23:06 UTC
Beaker 24.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.